Bug 57749 - ports using NOPORTSDOCS (instead of NOPORTDOCS)
Summary: ports using NOPORTSDOCS (instead of NOPORTDOCS)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Peter Pentchev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-10-08 16:30 UTC by Oliver Eikemeier
Modified: 2003-12-12 12:23 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Eikemeier 2003-10-08 16:30:13 UTC
This is a followup to PR 53911, inspired by PR 57745.

The following ports use NOPORTSDOCS instead of NOPORTDOCS:

Cyrille Lefevre <cyrille.lefevre@laposte.net>:

- archivers/gzip (PR 57745)
- french/plgrenouille
- lang/gforth
- mail/elm+ME
- textproc/gsed

Unmaintained Ports <ports@FreeBSD.org>:
- security/hostsentry

Clement Laforet <sheepkiller@cultdeadsheep.org>:
- mail/dbmail

Fix: 

sed -i .orig -e s/NOPORTSDOCS/NOPORTDOCS/ Makefile
(mail/dbmail is missing a `define', too)
Comment 1 Oliver Eikemeier 2003-10-09 03:19:37 UTC
security/hostsentry is mentioned as PR ports/48127 in PR 53911 ;-)
Comment 2 Peter Pentchev freebsd_committer 2003-10-09 09:07:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->roam

I fixed the security/hostsentry port; I'll handle the maintainer feedback 
for the other ones.
Comment 3 Peter Pentchev 2003-10-09 09:12:21 UTC
On Wed, Oct 08, 2003 at 05:22:19PM +0200, Oliver Eikemeier wrote:
> 
> >Number:         57749
> >Category:       ports
> >Synopsis:       ports using NOPORTSDOCS (instead of NOPORTDOCS)
[snip]
> 
> This is a followup to PR 53911, inspired by PR 57745.
> 
> The following ports use NOPORTSDOCS instead of NOPORTDOCS:
> 
> Cyrille Lefevre <cyrille.lefevre@laposte.net>:
> 
> - archivers/gzip (PR 57745)
> - french/plgrenouille
> - lang/gforth
> - mail/elm+ME
> - textproc/gsed

Cyrille, what do you think about the attached trivial patch?

G'luck,
Peter

-- 
Peter Pentchev	roam@ringlet.net    roam@sbnd.net    roam@FreeBSD.org
PGP key:	http://people.FreeBSD.org/~roam/roam.key.asc
Key fingerprint	FDBA FD79 C26F 3C51 C95E  DF9E ED18 B68D 1619 4553
What would this sentence be like if it weren't self-referential?

Index: french/plgrenouille/Makefile
===================================================================
RCS file: /home/pcvs/ports/french/plgrenouille/Makefile,v
retrieving revision 1.5
diff -u -r1.5 Makefile
--- french/plgrenouille/Makefile	12 Jun 2003 11:57:32 -0000	1.5
+++ french/plgrenouille/Makefile	9 Oct 2003 08:10:32 -0000
@@ -60,7 +60,7 @@
 	@${INSTALL_DATA} ${WRKSRC}/grenouillerc.sample ${PREFIX}/etc
 
 install-doc:
-.if !defined(NOPORTSDOC)
+.if !defined(NOPORTDOCS)
 	@${MKDIR} ${DOCSDIR}
 .for file in ${DOC_FILES}
 	@${INSTALL_DATA} ${WRKSRC}/${file} ${DOCSDIR}
Index: lang/gforth/Makefile
===================================================================
RCS file: /home/pcvs/ports/lang/gforth/Makefile,v
retrieving revision 1.12
diff -u -r1.12 Makefile
--- lang/gforth/Makefile	6 May 2003 08:53:15 -0000	1.12
+++ lang/gforth/Makefile	9 Oct 2003 08:10:32 -0000
@@ -67,7 +67,7 @@
 post-install: install-doc install-el remove-empty-files remove-empty-dirs
 
 install-doc:
-.if !defined(NOPORTSDOC)
+.if !defined(NOPORTDOCS)
 	@${MKDIR} ${DOCSDIR}
 .for file in ${DOC_FILES}
 	@${INSTALL_DATA} ${WRKSRC}/${file} ${DOCSDIR}
Index: mail/elm+ME/Makefile
===================================================================
RCS file: /home/pcvs/ports/mail/elm+ME/Makefile,v
retrieving revision 1.82
diff -u -r1.82 Makefile
--- mail/elm+ME/Makefile	19 May 2003 01:42:07 -0000	1.82
+++ mail/elm+ME/Makefile	9 Oct 2003 08:10:32 -0000
@@ -167,7 +167,7 @@
 	@cd ${WRKSRC}/nls; ${MAKE} install
 
 install-doc-files:
-.if !defined(NOPORTSDOC)
+.if !defined(NOPORTDOCS)
 	@${MKDIR} ${DOCSDIR}
 .for file in ${DOC_FILES}
 	@${INSTALL_DATA} ${WRKSRC}/${file} ${DOCSDIR}
Index: textproc/gsed/Makefile
===================================================================
RCS file: /home/pcvs/ports/textproc/gsed/Makefile,v
retrieving revision 1.14
diff -u -r1.14 Makefile
--- textproc/gsed/Makefile	19 May 2003 01:46:43 -0000	1.14
+++ textproc/gsed/Makefile	9 Oct 2003 08:10:32 -0000
@@ -60,7 +60,7 @@
 .endfor
 
 install-doc-files:
-.if !defined(NOPORTSDOC)
+.if !defined(NOPORTDOCS)
 	@${MKDIR} ${DOCSDIR}
 .for file in ${DOC_FILES}
 	@${INSTALL_DATA} ${WRKSRC}/${file} ${DOCSDIR}
Comment 4 Ceri Davies freebsd_committer 2003-10-25 18:25:18 UTC
Adding to audit trail, from misfiled PR ports/58022:

Date: Tue, 14 Oct 2003 19:29:57 +0200
From: "Cyrille Lefevre" <cyrille.lefevre@laposte.net>
Message-Id: <007101c39278$c9f67950$1890a8c0@dyndns.org>
References: <3F842BAB.8060508@fillmore-labs.com> <001b01c38dc7$a8a3a0d0$10070182@W2KCE7786>

 ----- Original Message ----- 
 From: "Cyrille Lefevre" <Cyrille.Lefevre@laposte.net>
 To: "Oliver Eikemeier" <eikemeier@fillmore-labs.com>;
 <FreeBSD-gnats-submit@freebsd.org>
 Cc: "Clement Laforet" <sheepkiller@cultdeadsheep.org>
 Sent: Wednesday, October 08, 2003 8:11 PM
 Subject: Re: ports using NOPORTSDOCS (instead of NOPORTDOCS)
 
 
 > Hi,
 >
 > I have a lot of pending PRs under my shoulder
 > nicluding thoses changes.
 > I will submit them next week for sure.
 > please, until then, be patient.
 
 
 oops, this message bounces !
 
 Cyrille Lefevre.
 -- 
 home: mailto:cyrille.lefevre@laposte.net
Comment 5 Oliver Eikemeier 2003-11-10 03:09:43 UTC
Cyrille Lefevre wrote:

> Hi,
>
> I have a lot of pending PRs under my shoulder
> nicluding thoses changes.
> I will submit them next week for sure.
> please, until then, be patient.

the week is over :)
Comment 6 Oliver Eikemeier 2003-11-22 13:25:14 UTC
Just a gentle reminder that another week passed by...
Comment 7 Peter Pentchev freebsd_committer 2003-12-12 12:22:05 UTC
State Changed
From-To: open->closed

Final fixes committed, thanks!